• Daniel P. Berrange's avatar
    examples: convert nettle-benchmark to use openssl EVP APIs · 5c78bb73
    Daniel P. Berrange authored
    
    
    The nettle-benchmark program currently uses the openssl low level
    cipher APIs for benchmarking. This means it always runs the generic
    software implementation, never able to take advantage of impls
    optimized for new hardware (eg AES-NI).
    
    Rewriting it to use the higher EVP APIs means we can use the same
    code for all ciphers, and automatically trigger hardware optimized
    versions, giving a fairer comparison against openssl as commonly
    used in applications.
    
    Use of the generic openssl impl can still be forced by setting an
    env variable  OPENSSL_ia32cap="~0x200000200000000"
    Signed-off-by: default avatarDaniel P. Berrange <berrange@redhat.com>
    5c78bb73
nettle-internal.h 3.48 KB